package com.bonus.canteen.core.customer.dto;


import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class AddPsnTypeDTO {
   private @NotNull(
   message = "人员类别不可为空"
) Integer psnType;
   private @NotBlank(
   message = "类别名称不可为空"
) String psnTypeName;
   private Integer delFlag;

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public AddPsnTypeDTO setPsnType(final Integer psnType) {
      this.psnType = psnType;
      return this;
   }

   public AddPsnTypeDTO setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
      return this;
   }

   public AddPsnTypeDTO setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }




}
